Bug 54329 - KTouch: Display hosed after holding key
Summary: KTouch: Display hosed after holding key
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andreas Nicolai
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-09 10:12 UTC by Ben Burton
Modified: 2006-04-27 10:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Burton 2003-02-09 10:12:07 UTC
Version:            (using KDE KDE 3.1)
Installed from:    Debian testing/unstable Packages
OS:          Linux

(Received through the Debian BTS, #141094)

> When I just hold down a, ignoring text I should write, well, I get
> funny effects on the screen after some time.

Note: I can reproduce this on my machine as well.  What seems to happen is that the width of the 'a' characters displayed (the ones that I'm continually typing) get smaller and smaller, i.e., the font gets squished up in a strange way.

Thanks - Ben. :)
Comment 1 Sander Devrieze 2004-07-23 12:42:16 UTC
In version 1.3 the font don't get smaller but the box moves to the left.
Comment 2 Anne-Marie Mahfouf 2004-09-20 20:31:13 UTC
Confirmed Sander's comment: when you continually press on a letter, the input label (which becomes red as you're making errors) will shrink to the from right to left then disappear. Then no input is possible.
Comment 3 Andreas Nicolai 2006-04-04 01:35:25 UTC
Bug confirmend and partially fixed (by increasing the width of the students line and adding a limit of about 300 characters).

I'll have to rework the sliding line calculation to include a masking out of text to the left which is no longer visible. Would also increase performance a bit.

Status changed to "ASSIGNED" and I'll work on it until the next version.
Comment 4 Andreas Nicolai 2006-04-08 19:57:18 UTC
Fixed in version 1.5.3.